package com.sundata.internalevaluation.configuration.controller;

import com.sundata.common.base.BaseAction;

import com.sundata.internalevaluation.configuration.model.DataSourcesModel;
import com.sundata.internalevaluation.configuration.service.DataSourcesService;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/internalevaluation/configuration/DataSourcesAction")
public class DataSourcesAction {

    @Autowired
    DataSourcesService dataSourcesService;

    /**
     * @author: 张艳杰
     * @methodsName: getDataList
     * @description: 数据来源配置初始化
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody DataSourcesModel model
     * @return: List<DataSourcesModel>
     * @throws:
     */
    @RequestMapping({"getDataList"})
    public List<DataSourcesModel> getDataList(HttpServletRequest request, HttpServletResponse response,
                                              @RequestBody DataSourcesModel model) {
        return dataSourcesService.getDataList(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: createData
     * @description: 数据来源配置新增
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody DataSourcesModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"createData"})
    public void createData(HttpServletRequest request, HttpServletResponse response,
                                              @RequestBody DataSourcesModel model) {
        dataSourcesService.createData(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: deleteRows
     * @description: 数据来源配置删除
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody DataSourcesModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"deleteRows"})
    public void deleteRows(HttpServletRequest request, HttpServletResponse response,
                           @RequestBody DataSourcesModel model) {
        dataSourcesService.deleteRows(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: updateExistData
     * @description: 数据来源配置修改
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody DataSourcesModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"updateExistData"})
    public void updateExistData(HttpServletRequest request, HttpServletResponse response,
                                @RequestBody DataSourcesModel model) {
        dataSourcesService.updateExistData(model);
    }

    /**
     * @author: 张艳杰
     * @methodsName: selectDetailData
     * @description: 数据来源配置查询
     * @param: HttpServletRequest request, HttpServletResponse response,@RequestBody DataSourcesModel model
     * @return:
     * @throws:
     */
    @RequestMapping({"selectDetailData"})
    public DataSourcesModel selectDetailData(HttpServletRequest request, HttpServletResponse response,
                                @RequestBody DataSourcesModel model) {
        return dataSourcesService.selectDetailData(model.getDataSourcesNo());
    }

}
